Change log for python-cliff package in Ubuntu

147 of 47 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2019-03-11
Deleted in disco-proposed (Reason: moved to release)
python-cliff (2.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- Corey Bryant <email address hidden>  Mon, 11 Mar 2019 14:10:50 -0400
Superseded in disco-release on 2019-03-11
Deleted in disco-proposed on 2019-03-13 (Reason: moved to release)
python-cliff (2.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <email address hidden>  Wed, 06 Feb 2019 12:05:32 -0500
Superseded in disco-release on 2019-02-07
Published in cosmic-release on 2018-08-03
Deleted in cosmic-proposed (Reason: moved to release)
python-cliff (2.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/align-parsed-call-with-cmd2-versions-0.7.3.patch: Dropped. Fixed in
    new upstream release.

 -- Corey Bryant <email address hidden>  Thu, 02 Aug 2018 13:30:56 -0400
Superseded in cosmic-release on 2018-08-03
Deleted in cosmic-proposed on 2018-08-04 (Reason: moved to release)
python-cliff (2.11.0-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/compat: Remain at debhelper>=10.
    - d/control: Enable autopkgtest-pkg-python tests.
    - d/gbp.conf: Retain for pristine-tar.
    - d/watch: Get tarball from pypi.debian.net.
    - d/control: Drop (Build-)Depends on python3-unicodecsv as its only
      needed for Python 2 (LP: #1736717).
    - d/p/align-parsed-call-with-cmd2-versions-0.7.3.patch: Cherry-picked
      from https://review.openstack.org/#/c/548626/ to fix AttributeError
      exception with use of cmd2 parsed() method (LP: #1751822).

 -- Corey Bryant <email address hidden>  Tue, 15 May 2018 09:48:37 -0400
Published in artful-updates on 2018-03-12
Deleted in artful-proposed (Reason: moved to -updates)
python-cliff (2.8.0-0ubuntu1.1) artful; urgency=medium

  * d/gbp.conf: Create stable/pike branch.
  * d/p/align-parsed-call-with-cmd2-versions-0.7.3.patch: Cherry-picked
    from https://review.openstack.org/#/c/548627/ to fix AttributeError
    exception with use of cmd2 parsed() method (LP: #1751822).

 -- Corey Bryant <email address hidden>  Tue, 17 Oct 2017 15:28:27 -0400
Superseded in cosmic-release on 2018-05-15
Published in bionic-release on 2018-03-01
Deleted in bionic-proposed (Reason: moved to release)
python-cliff (2.11.0-0ubuntu2) bionic; urgency=medium

  * d/p/align-parsed-call-with-cmd2-versions-0.7.3.patch: Cherry-picked
    from https://review.openstack.org/#/c/548626/ to fix AttributeError
    exception with use of cmd2 parsed() method (LP: #1751822).

 -- Corey Bryant <email address hidden>  Wed, 28 Feb 2018 17:04:53 -0500
Superseded in bionic-release on 2018-03-01
Deleted in bionic-proposed on 2018-03-02 (Reason: moved to release)
python-cliff (2.11.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.

 -- Corey Bryant <email address hidden>  Tue, 23 Jan 2018 14:13:20 -0500

Available diffs

Superseded in bionic-release on 2018-01-28
Deleted in bionic-proposed on 2018-01-29 (Reason: moved to release)
python-cliff (2.9.1-0ubuntu2) bionic; urgency=medium

  * d/control: Drop (Build-)Depends on python3-unicodecsv as its only
    needed for Python 2 (LP: #1736717).

 -- James Page <email address hidden>  Mon, 18 Dec 2017 13:11:11 +0000
Superseded in bionic-release on 2017-12-18
Deleted in bionic-proposed on 2017-12-19 (Reason: moved to release)
python-cliff (2.9.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <email address hidden>  Tue, 14 Nov 2017 10:31:22 -0500
Superseded in bionic-release on 2017-11-18
Published in artful-release on 2017-08-05
Deleted in artful-proposed (Reason: moved to release)
python-cliff (2.8.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/rules: Update history.rst path in override_dh_installchangelogs.

 -- Corey Bryant <email address hidden>  Wed, 02 Aug 2017 20:04:58 -0400

Available diffs

Superseded in artful-release on 2017-08-05
Deleted in artful-proposed on 2017-08-06 (Reason: moved to release)
python-cliff (2.7.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control,rules: Switch to using ostestr for unit tests.

 -- James Page <email address hidden>  Fri, 02 Jun 2017 09:20:54 +0100

Available diffs

Superseded in artful-release on 2017-06-08
Deleted in artful-proposed on 2017-06-10 (Reason: moved to release)
python-cliff (2.6.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <email address hidden>  Fri, 21 Apr 2017 10:00:12 +0100

Available diffs

Superseded in artful-release on 2017-04-27
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
python-cliff (2.4.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Add autopkgtest

 -- Chuck Short <email address hidden>  Thu, 12 Jan 2017 11:01:34 -0500

Available diffs

Superseded in zesty-release on 2017-01-12
Deleted in zesty-proposed on 2017-01-13 (Reason: moved to release)
python-cliff (2.3.0-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Bump version dependencies.

 -- Chuck Short <email address hidden>  Thu, 17 Nov 2016 09:13:37 -0500

Available diffs

Superseded in zesty-release on 2016-11-18
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
python-cliff (2.2.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <email address hidden>  Thu, 01 Sep 2016 09:54:28 -0400
Superseded in yakkety-release on 2016-09-01
Deleted in yakkety-proposed on 2016-09-02 (Reason: moved to release)
python-cliff (1.15.0-4) unstable; urgency=medium

  * Added missing python{3,}-setuptools build-depends (Closes: #820688).
  * Standards-Version: 3.9.8 (no change).

 -- Thomas Goirand <email address hidden>  Mon, 11 Apr 2016 22:23:44 +0000
Superseded in yakkety-release on 2016-04-23
Published in xenial-release on 2016-04-06
Deleted in xenial-proposed (Reason: moved to release)
python-cliff (1.15.0-2ubuntu2) xenial; urgency=medium

  * Add missing python[3]-setuptools build dep to fix FTBFS.

 -- Martin Pitt <email address hidden>  Wed, 06 Apr 2016 16:16:06 +0200

Available diffs

Superseded in xenial-release on 2016-04-06
Deleted in xenial-proposed on 2016-04-08 (Reason: moved to release)
python-cliff (1.15.0-2ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Fix Python 3.5 compatibility.
    - Remove unnecessary dependency on argparse.
  * Cherry-pick from upstream: only use unicodecsv for Python 2.x.

Superseded in xenial-proposed on 2016-01-08
python-cliff (1.14.0-1ubuntu2) xenial; urgency=medium

  * Remove unnecessary dependency on argparse (closes: #810126).

 -- Colin Watson <email address hidden>  Fri, 08 Jan 2016 10:05:28 +0000

Available diffs

Superseded in xenial-release on 2016-01-08
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
python-cliff (1.14.0-1ubuntu1) wily; urgency=medium

  * d/patches/python35-compat.patch: Fix Python 3.5 compatibility.
    (LP: #1491888)

 -- Barry Warsaw <email address hidden>  Fri, 11 Sep 2015 18:38:58 -0400
Superseded in wily-release on 2015-09-12
Deleted in wily-proposed on 2015-09-13 (Reason: moved to release)
python-cliff (1.14.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed skip-test.patch now useless.

 -- Thomas Goirand <email address hidden>  Wed, 02 Sep 2015 19:31:14 +0000
Superseded in wily-release on 2015-09-09
Deleted in wily-proposed on 2015-09-10 (Reason: moved to release)
python-cliff (1.13.0-0ubuntu1) wily; urgency=medium

  [ Corey Bryant ]
  * New upstream release:
    - d/control: Align (Build-)Depends with upstream.
    - d/p/skip-tests.patch: Skip failing test.

  [ James Page ]
  * Update watch file to use Debian pypi redirector.

 -- Corey Bryant <email address hidden>  Fri, 03 Jul 2015 09:20:33 +0100
Superseded in wily-release on 2015-07-03
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
python-cliff (1.10.1-0ubuntu1) vivid; urgency=medium

  * New upstream release. (LP: #1444548)
 -- Chuck Short <email address hidden>   Fri, 10 Apr 2015 08:46:15 -0400
Superseded in vivid-release on 2015-04-16
Deleted in vivid-proposed on 2015-04-17 (Reason: moved to release)
python-cliff (1.9.0-0ubuntu2) vivid; urgency=medium

  * debian/control: Add python-oslosphinx as a build dependency.
 -- Chuck Short <email address hidden>   Sun, 07 Dec 2014 21:01:27 -0500
Superseded in vivid-proposed on 2014-12-08
python-cliff (1.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream version.
  * debian/rules: Adjust documentation building.
  * debian/control: Add python-httplib2 as a build dependency.
 -- Chuck Short <email address hidden>   Wed, 03 Dec 2014 08:57:23 -0500

Available diffs

Superseded in vivid-release on 2014-12-08
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
python-cliff (1.7.0-0ubuntu3) utopic; urgency=medium

  * debian/pydist3-overrides: Rename to py3dist-overrides.
 -- Chuck Short <email address hidden>   Fri, 12 Sep 2014 09:09:58 -0400
Superseded in utopic-proposed on 2014-09-12
python-cliff (1.7.0-0ubuntu2) utopic; urgency=medium

  * debian/pydist-overrides, debian/pydist3-overrides:
    Don't install argparse.
 -- Chuck Short <email address hidden>   Thu, 11 Sep 2014 11:48:11 -0400

Available diffs

Superseded in utopic-proposed on 2014-09-11
python-cliff (1.7.0-0ubuntu1) utopic; urgency=medium

  * New upstream release.
 -- Chuck Short <email address hidden>   Wed, 10 Sep 2014 10:18:59 -0400
Superseded in utopic-release on 2014-09-12
Deleted in utopic-proposed on 2014-09-13 (Reason: moved to release)
python-cliff (1.6.1-1) unstable; urgency=medium


  * New upstream version
  * drop debian/patches/dont-install-distribute-for-tests.patch,
    upstream does not specify a dependency for distribute anymore

 -- Jan Dittberner <email address hidden>  Mon, 16 Jun 2014 20:32:49 +0200
Superseded in utopic-release on 2014-06-18
Published in trusty-release on 2014-02-23
Deleted in trusty-proposed (Reason: moved to release)
python-cliff (1.4.5-1ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.
 -- Matthias Klose <email address hidden>   Sun, 23 Feb 2014 13:50:59 +0000

Available diffs

Superseded in trusty-release on 2014-02-23
Deleted in trusty-proposed on 2014-02-24 (Reason: moved to release)
python-cliff (1.4.5-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Depend on >= 0.6.7 for python-cmd2.

Available diffs

Superseded in trusty-release on 2013-11-21
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
python-cliff (1.4.5-0ubuntu2) saucy; urgency=low

  * debian/control: Depend on >= 0.6.7 for python-cmd2.
 -- Chuck Short <email address hidden>   Tue, 24 Sep 2013 15:07:04 -0400

Available diffs

Superseded in saucy-release on 2013-09-24
Deleted in saucy-proposed on 2013-09-26 (Reason: moved to release)
python-cliff (1.4.5-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches/fix-pyparsing-version.patch: Dropped.
 -- Chuck Short <email address hidden>   Tue, 24 Sep 2013 10:14:00 -0400

Available diffs

Superseded in saucy-release on 2013-09-24
Deleted in saucy-proposed on 2013-09-25 (Reason: moved to release)
python-cliff (1.4.4-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches/fix-pyparsing-version.patch: Refreshed
 -- Chuck Short <email address hidden>   Mon, 16 Sep 2013 15:09:22 -0400

Available diffs

Superseded in saucy-release on 2013-09-16
Deleted in saucy-proposed on 2013-09-18 (Reason: moved to release)
python-cliff (1.4-1ubuntu3) saucy; urgency=low

  * debian/control: Fix build dependency.
 -- Chuck Short <email address hidden>   Fri, 13 Sep 2013 14:02:18 -0400
Superseded in saucy-proposed on 2013-09-13
python-cliff (1.4-1ubuntu2) saucy; urgency=low

  * debian/patches/fix-pyparsing-version.patch: Bump pyparsing to 2.0.
 -- Chuck Short <email address hidden>   Fri, 13 Sep 2013 10:04:12 -0400

Available diffs

Superseded in saucy-release on 2013-09-16
Deleted in saucy-proposed on 2013-09-17 (Reason: moved to release)
python-cliff (1.4-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable (LP: #1200544).  Remaining changes:
    - debian/control: update maintainer and priority
    - debian/pydist-overrides: preserved rename of package
    - debian/rules: updated multiple python version build

Available diffs

Superseded in saucy-release on 2013-08-05
Deleted in saucy-proposed on 2013-08-06 (Reason: moved to release)
python-cliff (1.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream release.
  * debian/patches/disable-ez-setup.patch: Dropped.
 -- Adam Gandelman <email address hidden>   Fri, 14 Jun 2013 14:56:31 -0700

Available diffs

Superseded in saucy-release on 2013-06-14
Deleted in saucy-proposed on 2013-06-16 (Reason: moved to release)
python-cliff (1.3.3-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches/disable-ez-setup.patch: Refreshed.
 -- Chuck Short <email address hidden>   Tue, 14 May 2013 07:43:45 -0500

Available diffs

Superseded in saucy-release on 2013-05-14
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
python-cliff (1.3.1-0ubuntu1) raring; urgency=low

  * New upstream release.
 -- Chuck Short <email address hidden>   Wed, 27 Feb 2013 14:31:29 -0600

Available diffs

Superseded in raring-release on 2013-03-07
Deleted in raring-proposed on 2013-03-08 (Reason: moved to release)
python-cliff (1.3-0ubuntu2) raring; urgency=low

  * debian/rules: Fix packaging install due to upstream changes.
 -- Chuck Short <email address hidden>   Tue, 12 Feb 2013 13:42:47 -0600

Available diffs

Superseded in raring-release on 2013-02-12
Deleted in raring-proposed on 2013-02-14 (Reason: moved to release)
python-cliff (1.3-0ubuntu1) raring; urgency=low

  * New upstream release.
 -- Chuck Short <email address hidden>   Tue, 12 Feb 2013 09:25:04 -0600

Available diffs

Superseded in raring-release on 2013-02-12
Obsolete in quantal-release on 2015-04-24
Superseded in quantal-release on 2012-08-17
python-cliff (1.1.2-0ubuntu2) quantal; urgency=low

  * Make python-cliff installable.
 -- Chuck Short <email address hidden>   Fri, 10 Aug 2012 12:32:19 -0500

Available diffs

Superseded in quantal-release on 2012-08-10
python-cliff (1.1.2-0ubuntu1) quantal; urgency=low

  * New upstream version.
  * debian/patches/disable-ez-setup.patch: Disable ez-setup.
 -- Chuck Short <email address hidden>   Wed, 08 Aug 2012 10:19:39 -0500

Available diffs

Superseded in quantal-release on 2012-08-08
python-cliff (1.1-0ubuntu2) quantal; urgency=low

  * New upstream version.
  * debian/rules: Fix testsuite
  * debian/control: Add python-cmd2, python-nose, and
    python-pyparsing as a build-depends.
 -- Chuck Short <email address hidden>   Wed, 08 Aug 2012 09:13:35 -0500

Available diffs

Superseded in quantal-release on 2012-08-08
python-cliff (1.1-0ubuntu1) quantal; urgency=low

  * New upstream version, dropped python-tablib.
 -- Chuck Short <email address hidden>   Thu, 02 Aug 2012 10:01:36 -0500

Available diffs

Superseded in quantal-release on 2012-08-02
python-cliff (1.0-0ubuntu1) quantal; urgency=low

  * Initial release.
 -- Chuck Short <email address hidden>   Fri, 13 Jul 2012 08:39:24 -0500
147 of 47 results